XZDEC(1)

BEZEICHNUNG
xzdec, lzmadec - Kleine Dekompressoren für .xz und .lzma

ÜBERSICHT
xzdec [Option…] [Datei…]
lzmadec [Option…] [Datei…]

BESCHREIBUNG
xzdec ist ein auf Liblzma basierendes Nur-Dekompressionswerkzeug für .xz-Dateien (und nur für .xz-Dateien). xzdec ist als direkter Ersatz für xz(1) in jenen Situationen konzipiert, wo ein Skript xz --decompress --stdout (und eventuelle einige andere höufig genutzte Optionen) zum Dekomprimieren von .xz-Dateien. lzmadec ist weitgehend identisch zu xzdec, mit der Ausnahme, dass lzmadec .lzma-Dateien anstelle von .xz-Dateien unterstützt.

Um die Größe der ausführbaren Datei zu reduzieren, unterstützt xzdec weder Multithreading noch Lokalisierung. Außerdem liest es keine Optionen aus den Umgebungsvariablen XZ_DEFAULTS und XZ_OPT. xzdec unterstützt keine zwischenzeitlichen Fortschrittsinformationen: Das Senden von SIGINFO an xzdec hat keine Auswirkungen, jedoch beendet SIGUSR1 den Prozess, anstatt Fortschrittsinformationen anzuzeigen.

OPTIONEN

-d, --decompress, --uncompress
    ist zwecks Kompatibilität zu xz(1) vorhanden; wird ignoriert. xzdec unterstützt nur Dekompression.

-k, --keep
    ist zwecks Kompatibilität zu xz(1) vorhanden; wird ignoriert. xzdec erzeugt oder entfernt niemals Dateien.

-c, --stdout, --to-stdout
    ist zwecks Kompatibilität zu xz(1) vorhanden; wird ignoriert. xzdec schreibt die dekomprimierten Daten immer in die Standardausgabe.

-q, --quiet
    hat bei einmaliger Angabe keine Wirkung, da xzdec niemals Warnungen oder sonstige Meldungen anzeigt. Wenn Sie dies zweimal angeben, werden Fehlermeldungen unterdrückt.

-Q, --no-warn
    ist zwecks Kompatibilität zu xz(1) vorhanden; wird ignoriert. xzdec verwendet niemals den Exit-Status 2.

-h, --help
    zeigt eine Hilfemeldung an und beendet das Programm erfolgreich.

-V, --version
    zeigt die Versionsnummer von xzdec und liblzma an.

EXIT-STATUS

0   Alles ist in Ordnung.

1   Ein Fehler ist aufgetreten.

xzdec gibt keine Warnmeldungen wie xz(1) aus, daher wird der Exit-Status 2 von xzdec nicht verwendet.

ANMERKUNGEN
Verwenden Sie xz(1) anstelle von xzdec oder lzmadec im normalen täglichen Gebrauch. xzdec oder lzmadec sind nur für Situationen gedacht, in denen ein kleinerer Dekompressor statt des voll ausgestatteten xz(1) wichtig ist.

xzdec und lzmadec sind nicht wirklich extrem klein. Die Größe kann durch Deaktivieren von Funktionen bei der Kompilierung von Liblzma weiter verringert werden, aber das sollte nicht für ausführbare Dateien getan werden, die in typischen Betriebssystemen ausgeliefert werden, außer in den Distributionen für eingebettete Systeme. Wenn Sie einen wirklich winzigen Dekompressor für .xz-Dateien brauchen, sollten Sie stattdessen XZ Embedded in Erwägung ziehen.

SIEHE AUCH
xz(1)

XZ Embedded: <https://tukaani.org/xz/embedded.html>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.